package com.ruoyi.basicData.domain;

import com.baomidou.mybatisplus.annotation.TableLogic;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;

/**
 * 库区对象 t_warehouse_area
 *
 * @author ruoyi
 * @date 2020-12-11
 */
public class TWarehouseArea extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long fId;

    /**
     * 存储id 显示名称 下拉选择仓库，对应t_warehous的f_id
     */
    @Excel(name = "存储id 显示名称 下拉选择仓库，对应t_warehous的f_id")
    private Long fWarehouseid;

    /**
     * 编号
     */
    @Excel(name = "编号")
    private String fNo;

    /**
     * 名称
     */
    @Excel(name = "名称")
    private String fName;

    /** 库容 */
    @Excel(name = "库容")
    private BigDecimal fTotalgross;

    /**
     * 地址
     */
    @Excel(name = "地址")
    private String fAddr;

    /**
     * 状态
     */
    @Excel(name = "状态")
    private String fStatus;

    /**
     * 删除状态
     */
    @TableLogic
    private String delFlag;

    public void setfId(Long fId) {
        this.fId = fId;
    }

    public Long getfId() {
        return fId;
    }

    public void setfWarehouseid(Long fWarehouseid) {
        this.fWarehouseid = fWarehouseid;
    }

    public Long getfWarehouseid() {
        return fWarehouseid;
    }

    public void setfNo(String fNo) {
        this.fNo = fNo;
    }

    public String getfNo() {
        return fNo;
    }

    public void setfName(String fName) {
        this.fName = fName;
    }

    public String getfName() {
        return fName;
    }

    public void setfAddr(String fAddr) {
        this.fAddr = fAddr;
    }

    public String getfAddr() {
        return fAddr;
    }

    public void setfStatus(String fStatus) {
        this.fStatus = fStatus;
    }

    public String getfStatus() {
        return fStatus;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public BigDecimal getfTotalgross() {
        return fTotalgross;
    }

    public void setfTotalgross(BigDecimal fTotalgross) {
        this.fTotalgross = fTotalgross;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("fId", getfId())
                .append("fWarehouseid", getfWarehouseid())
                .append("fNo", getfNo())
                .append("fName", getfName())
                .append("fAddr", getfAddr())
                .append("fStatus", getfStatus())
                .append("delFlag", getDelFlag())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .toString();
    }
}
